using Curses;

public class HelloPanel : Panel {
	uint64 seek;

	public HelloPanel (Canvas cv) {
		base (cv);
		this.title = "racu - The curse of radare2 island";
		this.seek = 0;
		this.line = 10;
	}

	public override void render () {
		int opt;
		if (scrolly<0) {
			// TODO: seek back
			scrolly = 0;
		}
		base.render_begin ();
		/* TODO: use cache */
		lnk_init ();
		wline ("  ____,_____ ____ __ __");
		wline (" |  _  \\__  |  __|  |  |");
		wline (" |     / _  |    |     |");
		wline (" |__|__\\____|____|_____| v0.1");
		wline ("");
		wline ("; Press '?' for help");
		wline ("");
		opt = wline ("Open file");
		lnk_register (opt, () => {
			canvas.new_panel ("file");
		});
		opt = wline ("Dialog demo");
		lnk_register (opt, () => {
			canvas.new_panel ("motd");
		});
		opt = wline ("Run command");
		lnk_register (opt, () => {
			var cmd = Dialog.do_entry (canvas, "Enter command to run:");
			Dialog.do_message (canvas, "cmd is (%s)".printf (cmd));
			canvas.new_panel (cmd);
		});
		opt = wline ("New panel");
		lnk_register (opt, () => {
			canvas.add_panel (new Panel (canvas));
			canvas.next ();
		});
		opt = wline ("Exit");
		lnk_register (opt, () => {
			if (Dialog.do_yesno (canvas, "Do you want to quit?"))
				canvas.running = false;
		});
		base.render_end ();
	}
}
